Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class PageInstanceAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.PageInstanceAction

All Implemented Interfaces
  ControlAction

    public class PageInstanceAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transaction by calling the Portal controls' executeActions() method.

Method Summary
`static PageInstanceAction` | `addPlaceableToPageInstance(PageInstanceControl control, PlaceableDefinitionId placeableId, int placeholder, int position, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Adds an existing book or portlet to the specified page instance when the action is executed.
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`static PageInstanceAction` | `movePlaceableInPageInstance(PageInstanceControl control, PlaceableInstanceId placeableId, int placeholder, int position, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Used to change the position of a book or portlet in a page when the action is executed.
`static PageInstanceAction` | `removePlaceableFromPageInstance(PageInstanceControl control, PlaceableInstanceId placeableId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Removes a book or portlet from a page definition when the action is executed.
`static PageInstanceAction` | `removePlaceholderLock(PageInstanceControl control, int placeholder, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Removes the update security policy on a placeholder when the action is executed.
`static PageInstanceAction` | `rename(PageInstanceControl control, String newTitle, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Rename the title of the page when the action is executed.
`static PageInstanceAction` | `setPlaceholderLock(PageInstanceControl control, int placeholder, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Creates an update secuity policy on a placholder when the action is executed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addPlaceableToPageInstance

    public static PageInstanceAction addPlaceableToPageInstance(PageInstanceControl control,
                                                                PlaceableDefinitionId placeableId,
                                                                int placeholder,
                                                                int position,
                                                                PageInstanceId pageId,
                                                                String webApp,
                                                                PortalPath portalPath,
                                                                DesktopPath desktopPath)

  Adds an existing book or portlet to the specified page instance when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to add.
    `placeholder` - The index of the placeholder on the page.
    `position` - The position of the placeable within the placeholder.
    `pageId` - the ID of the page to add the placeable to.
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### setPlaceholderLock

    public static PageInstanceAction setPlaceholderLock(PageInstanceControl control,
                                                        int placeholder,
                                                        PageInstanceId pageId,
                                                        String webApp,
                                                        PortalPath portalPath,
                                                        DesktopPath desktopPath)

  Creates an update secuity policy on a placholder when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### removePlaceholderLock

    public static PageInstanceAction removePlaceholderLock(PageInstanceControl control,
                                                           int placeholder,
                                                           PageInstanceId pageId,
                                                           String webApp,
                                                           PortalPath portalPath,
                                                           DesktopPath desktopPath)

  Removes the update security policy on a placeholder when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### movePlaceableInPageInstance

    public static PageInstanceAction movePlaceableInPageInstance(PageInstanceControl control,
                                                                 PlaceableInstanceId placeableId,
                                                                 int placeholder,
                                                                 int position,
                                                                 PageInstanceId pageId,
                                                                 String webApp,
                                                                 PortalPath portalPath,
                                                                 DesktopPath desktopPath)

  Used to change the position of a book or portlet in a page when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to move.
    `placeholder` - The index of the placeholder on the page.
    `position` - The updated position of the book or portlet
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### removePlaceableFromPageInstance

    public static PageInstanceAction removePlaceableFromPageInstance(PageInstanceControl control,
                                                                     PlaceableInstanceId placeableId,
                                                                     String webApp,
                                                                     PortalPath portalPath,
                                                                     DesktopPath desktopPath)

  Removes a book or portlet from a page definition when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to remove from a page.
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### rename

    public static PageInstanceAction rename(PageInstanceControl control,
                                            String newTitle,
                                            PageInstanceId id,
                                            String webApp,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath)

  Rename the title of the page when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `newTitle` - the new title for the page
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
  Returns
    the new page instance id

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.